public class Ember {
	private int elfogyasztottEnergia;
	private boolean valogatos;
	
	public static final boolean VALOGATOS = true;
	public static final boolean NEM_VALOGATOS = false;
	
	public Ember(boolean b) {
		elfogyasztottEnergia = 0;
		valogatos = b;
	}
	
	public void eszik(Csokolade csoki) throws NemKeremException {
		if (valogatos && Math.random() > 0.5) {
			throw new NemKeremException("Nem szeretem a csokit!");
		}
		if (elfogyasztottEnergia > 500) {
			throw new NemKeremException("Sokat ettem!");
		}
		elfogyasztottEnergia += csoki.getEnergiatartalom();
	}
}
