import java.io.FileWriter;
import java.io.IOException;
import java.util.ArrayList;

public class Main {
	public static void main(String args[]) throws Exception {
		ArrayList<Csokolade> csokik = new ArrayList<Csokolade>();
		int n = 0;
		
		if (args.length != 1) {
			System.out.println("Pontosan egy argumetum kell!");
			System.exit(1);
		}
		
		
		try {
			n = Integer.parseInt(args[0]);
		} catch (NumberFormatException e) {
			System.out.println(args[0] + " nem szam!");
			System.exit(1);
		}
		
		for (int i=0; i<n; i++) {
			csokik.add(new Csokolade((int)(Math.random()*500) + 200));
		}
		
		try {
			FileWriter ki = new FileWriter("output.txt");
		
			ki.write("Osszehasonlitas:\n" + csokik.get(0) + "\n" + csokik.get(n-1) + "\n");
			ki.write("A nagyobb energiatartalmu: ");
			
			try {
				if (csokik.get(0).energiabanGazdagabb(csokik.get(n-1))) {
					ki.write("" + csokik.get(0));
				} else {
					ki.write("" + csokik.get(n-1));
				}
				ki.write("\n");
			} catch (Exception e) {
				ki.write(e.getMessage() + "\n");
			}
		
			Ember ember = new Ember(Ember.VALOGATOS);
			
			try {		
				ember.eszik(csokik.get(0));
				ember.eszik(csokik.get(n-1));
			} catch (NemKeremException e) {
				ki.write("Nem kerem: " + e.getMessage() + "\n");
			}
		
			ki.flush();
			ki.close();
		} catch (IOException e) {
			System.out.println("I/O hiba: " + e.getMessage());
		} catch (Exception e) {
			System.out.println("Hiba: " + e.getMessage());
		}
		
	}
}
